<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.6: http://docutils.sourceforge.net/" />
<title>Parallel BGL Local Subgraph Adaptor</title>
<link rel="stylesheet" href="../../../../rst.css" type="text/css" />
</head>
<body>
<div class="document" id="logo-local-subgraph-adaptor">
<h1 class="title"><a class="reference external" href="http://www.osl.iu.edu/research/pbgl"><img align="middle" alt="Parallel BGL" class="align-middle" src="http://www.osl.iu.edu/research/pbgl/images/pbgl-logo.png" /></a> Local Subgraph Adaptor</h1>

<!-- Copyright (C) 2004-2008 The Trustees of Indiana University.
Use, modification and distribution is subject to the Boost Software
License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
http://www.boost.org/LICENSE_1_0.txt) -->
<p>The local subgraph adaptor takes an existing <cite>Distributed Graph</cite> and
filters out all of the nonlocal edges and vertices, presenting only
the local portion of the distributed graph to the user. The behavior
is equivalent to (and implemented with) a <a class="reference external" href="http://www.boost.org/libs/graph/doc/filtered_graph.html">filtered graph</a>, and is a
noncopying view into the graph itself. Changes made through the
filtered graph will be reflected in the original graph and vice-versa.</p>
<pre class="literal-block">
template&lt;typename DistributedGraph&gt; class local_subgraph;

template&lt;typename DistributedGraph&gt;
local_subgraph&lt;DistributedGraph&gt; make_local_subgraph(DistributedGraph&amp; g);
</pre>
<div class="section" id="where-defined">
<h1>Where Defined</h1>
<p>&lt;boost/graph/distributed/local_subgraph.hpp&gt;</p>
</div>
<div class="section" id="reference">
<h1>Reference</h1>
<p>The local subgraph adaptor adapts and forwards all operations of
distributed graphs, the signatures of which will be omitted. Only
operations unique to the local subgraph adaptor are presented.</p>
<div class="section" id="member-functions">
<h2>Member Functions</h2>
<pre class="literal-block">
local_subgraph(DistributedGraph&amp; g);
</pre>
<p>Constructs a local subgraph presenting the local portion of the
distributed graph <tt class="docutils literal"><span class="pre">g</span></tt>.</p>
<hr class="docutils" />
<pre class="literal-block">
DistributedGraph&amp;         base()               { return g; }
const DistributedGraph&amp;   base() const         { return g; }
</pre>
<p>Returns the underlying distributed graph.</p>
</div>
<div class="section" id="free-functions">
<h2>Free Functions</h2>
<pre class="literal-block">
template&lt;typename DistributedGraph&gt;
local_subgraph&lt;DistributedGraph&gt; make_local_subgraph(DistributedGraph&amp; g);
</pre>
<p>Constructs a local subgraph presenting the local portion of the
distributed graph <tt class="docutils literal"><span class="pre">g</span></tt>.</p>
</div>
</div>
</div>
<div class="footer">
<hr class="footer" />
Generated on: 2009-04-11 17:09 UTC.
Generated by <a class="reference external" href="http://docutils.sourceforge.net/">Docutils</a> from <a class="reference external" href="http://docutils.sourceforge.net/rst.html">reStructuredText</a> source.

</div>
</body>
</html>
